Subject: io space mapping and sync

From: "Kevin A. Sapp" <[email-masked]>
Date: Thu, 11 Mar 2004 15:43:51 -0500

Hello,

I am using an 8275 and map memory.
When I map my LEDS physical 0x40000000 to 0x40000000
using a BAT I can hit them, several minutes into execution
during a sync, the system hangs.

I have tried to map this to a smaller region using the
mmu (io_block_mapping) but when I do the
region is no longer accessable.  THis is the
preferred method as I have a large region at
3000.0000 that I want to map using the remaining
BAT.

What should I do?  Any clues where to search for
an explaination of what is going on?

Thanks
Kevin

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/